Nuclom logoNuclom
Videos

Create video

Create a new video entry with metadata

POST
/videos

Create a new video entry with metadata

Authorization

bearerAuth
headerAuthorizationBearer <token>

Authentication token from login or API key

Request Body

Create video data

application/json
  1. body
title*string
description?string|null|null
duration*string
Length1 <= length
thumbnailUrl?string|null|null
videoUrl?string|null|null
organizationId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid
transcript?string|null|null
aiSummary?string|null|null
[key: string]?any

Response Body

Video created successfully

application/json
  1. response
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid
title*string
description*string|null
duration*string
thumbnailUrl*string|null
videoUrl*string|null
authorId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid
organizationId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid
channelId*|null
collectionId*|null
transcript*string|null
aiSummary*string|null
viewCount*number|
isPublic*boolean
isDeleted*boolean
deletedAt*string|null
retentionUntil*string|null
createdAt*string
updatedAt*string
[key: string]?any
curl -X POST 'https://nuclom.com/api/videos' \  -H 'Content-Type: application/json' \  -d '{  "title": "string",  "duration": "string",  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9"}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "title": "string",  "description": "string",  "duration": "string",  "thumbnailUrl": "string",  "videoUrl": "string",  "authorId": "ee6f7132-bd0a-4fcd-83b3-a8022377067b",  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",  "channelId": "5f6d08bc-455a-4532-98b8-19e2cee51160",  "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",  "transcript": "string",  "aiSummary": "string",  "viewCount": 0,  "isPublic": true,  "isDeleted": true,  "deletedAt": "string",  "retentionUntil": "string",  "createdAt": "string",  "updatedAt": "string"}